## org.eclipse.emf.cdo.view
Interface CDOFetchRuleManager

    public interface CDOFetchRuleManager

TODO Simon: JavaDoc

Since:
  2.0

Field Summary
`static CDOFetchRuleManager` `NOOP` TODO Simon: JavaDoc

Method Summary
`CDOCollectionLoadingPolicy` `getCollectionLoadingPolicy()` TODO Simon: JavaDoc
`CDOID` `getContext()` TODO Simon: JavaDoc
`java.util.List<CDOFetchRule>` `getFetchRules(java.util.Collection<CDOID> ids)` TODO Simon: JavaDoc

Field Detail

### NOOP

    static final CDOFetchRuleManager NOOP

  TODO Simon: JavaDoc

Method Detail

### getContext

    CDOID getContext()

  TODO Simon: JavaDoc

### getFetchRules

    java.util.List<CDOFetchRule> getFetchRules(java.util.Collection<CDOID> ids)

  TODO Simon: JavaDoc

### getCollectionLoadingPolicy

    CDOCollectionLoadingPolicy getCollectionLoadingPolicy()

  TODO Simon: JavaDoc

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.